### Method

# Gtk TreeModelFilter convert_child_path_to_path

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_filter_convert_child_path_to_path (
      GtkTreeModelFilter* filter,
      GtkTreePath* child_path
    )

#### Description [src]

Converts `child_path` to a path relative to `filter`. That is, `child_path` points to a path in the child model. The rerturned path will point to the same row in the filtered model. If `child_path` isn’t a valid path on the child model or points to a row which is not visible in `filter`, then `NULL` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`child_path`

  Type: `GtkTreePath`

  A `GtkTreePath` to convert.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkTreePath`

A newly allocated `GtkTreePath`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.